Read a project-scoped workflow batch
Read a project-scoped workflow batch
GET
Read a project-scoped workflow batch
BrowserWorkflowApiKeyheader
X-API-Key<token>Project- and environment-scoped browser workflow API key.
projectId*stringFormat
uuidenvironmentId*stringFormat
uuidbatchId*stringFormat
uuidWorkflow batch progress Error body uses the documented PublicError DTO.
application/json- response
id*stringFormat
uuidparent_batch_id*|Format
uuidproject_id*stringFormat
uuidenvironment_id*stringFormat
uuidworkflow_id*stringFormat
uuidworkflow_version_id*stringFormat
uuidrequested_by?integer|nullstatus*stringconfigured_concurrency*integerpriority*integerestimate_units*integeractual_cost_units*integeraccepted_count*integerrejected_count*integercompleted_count*integerfailed_count*integercreated_at*stringFormat
date-timestarted_at*|Format
date-timefinished_at*|Format
date-timecurl -X GET 'https://api.runharvester.com/api/v1/browser/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/batches/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ --header "X-API-Key: ${RUNHARVESTER_BROWSER_API_KEY:?Set your Browser Workflow API key}"{ "id": "9a20bd58-ed33-4a5b-b63f-b52bb1a62248", "status": "pending"}